## EmpathyChat

EmpathyChat

## Synopsis

                        EmpathyChatPriv;
                        EmpathyChat;
    EmpathyChatView*    empathy_chat_get_view               (EmpathyChat *chat);
    EmpathyChatWindow*  empathy_chat_get_window             (EmpathyChat *chat);
    void                empathy_chat_set_window             (EmpathyChat *chat,
                                                             EmpathyChatWindow *window);
    void                empathy_chat_present                (EmpathyChat *chat);
    void                empathy_chat_clear                  (EmpathyChat *chat);
    void                empathy_chat_scroll_down            (EmpathyChat *chat);
    void                empathy_chat_cut                    (EmpathyChat *chat);
    void                empathy_chat_copy                   (EmpathyChat *chat);
    void                empathy_chat_paste                  (EmpathyChat *chat);
    const gchar*        empathy_chat_get_name               (EmpathyChat *chat);
    gchar*              empathy_chat_get_tooltip            (EmpathyChat *chat);
    const gchar*        empathy_chat_get_status_icon_name   (EmpathyChat *chat);
    GtkWidget*          empathy_chat_get_widget             (EmpathyChat *chat);
    gboolean            empathy_chat_is_group_chat          (EmpathyChat *chat);
    gboolean            empathy_chat_is_connected           (EmpathyChat *chat);
    void                empathy_chat_save_geometry          (EmpathyChat *chat,
                                                             gint x,
                                                             gint y,
                                                             gint w,
                                                             gint h);
    void                empathy_chat_load_geometry          (EmpathyChat *chat,
                                                             gint *x,
                                                             gint *y,
                                                             gint *w,
                                                             gint *h);
    void                empathy_chat_set_tp_chat            (EmpathyChat *chat,
                                                             EmpathyTpChat *tp_chat);
    const gchar*        empathy_chat_get_id                 (EmpathyChat *chat);
    gboolean            empathy_chat_get_is_command         (const gchar *str);
    void                empathy_chat_correct_word           (EmpathyChat *chat,
                                                             GtkTextIter start,
                                                             GtkTextIter end,
                                                             const gchar *new_word);
    gboolean            empathy_chat_should_play_sound      (EmpathyChat *chat);
    gboolean            empathy_chat_should_highlight_nick  (EmpathyMessage *message);

## Object Hierarchy

      GObject
       +----EmpathyChat
             +----EmpathyGroupChat
             +----EmpathyPrivateChat

## Signals

      "composing"                                      : Run Last
      "name-changed"                                   : Run Last
      "new-message"                                    : Run Last
      "status-changed"                                 : Run Last

## Description

## Details

### EmpathyChatPriv

    typedef struct _EmpathyChatPriv EmpathyChatPriv;

### EmpathyChat

    typedef struct _EmpathyChat EmpathyChat;

### empathy_chat_get_view ()

    EmpathyChatView*    empathy_chat_get_view               (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_get_window ()

    EmpathyChatWindow*  empathy_chat_get_window             (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_set_window ()

    void                empathy_chat_set_window             (EmpathyChat *chat,
                                                             EmpathyChatWindow *window);

`chat` : |
`window` : |

### empathy_chat_present ()

    void                empathy_chat_present                (EmpathyChat *chat);

`chat` : |

### empathy_chat_clear ()

    void                empathy_chat_clear                  (EmpathyChat *chat);

`chat` : |

### empathy_chat_scroll_down ()

    void                empathy_chat_scroll_down            (EmpathyChat *chat);

`chat` : |

### empathy_chat_cut ()

    void                empathy_chat_cut                    (EmpathyChat *chat);

`chat` : |

### empathy_chat_copy ()

    void                empathy_chat_copy                   (EmpathyChat *chat);

`chat` : |

### empathy_chat_paste ()

    void                empathy_chat_paste                  (EmpathyChat *chat);

`chat` : |

### empathy_chat_get_name ()

    const gchar*        empathy_chat_get_name               (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_get_tooltip ()

    gchar*              empathy_chat_get_tooltip            (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_get_status_icon_name ()

    const gchar*        empathy_chat_get_status_icon_name   (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_get_widget ()

    GtkWidget*          empathy_chat_get_widget             (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_is_group_chat ()

    gboolean            empathy_chat_is_group_chat          (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_is_connected ()

    gboolean            empathy_chat_is_connected           (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_save_geometry ()

    void                empathy_chat_save_geometry          (EmpathyChat *chat,
                                                             gint x,
                                                             gint y,
                                                             gint w,
                                                             gint h);

`chat` : |
`x` : |
`y` : |
`w` : |
`h` : |

### empathy_chat_load_geometry ()

    void                empathy_chat_load_geometry          (EmpathyChat *chat,
                                                             gint *x,
                                                             gint *y,
                                                             gint *w,
                                                             gint *h);

`chat` : |
`x` : |
`y` : |
`w` : |
`h` : |

### empathy_chat_set_tp_chat ()

    void                empathy_chat_set_tp_chat            (EmpathyChat *chat,
                                                             EmpathyTpChat *tp_chat);

`chat` : |
`tp_chat` : |

### empathy_chat_get_id ()

    const gchar*        empathy_chat_get_id                 (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_get_is_command ()

    gboolean            empathy_chat_get_is_command         (const gchar *str);

`str` : |
Returns : |

### empathy_chat_correct_word ()

    void                empathy_chat_correct_word           (EmpathyChat *chat,
                                                             GtkTextIter start,
                                                             GtkTextIter end,
                                                             const gchar *new_word);

`chat` : |
`start` : |
`end` : |
`new_word` : |

### empathy_chat_should_play_sound ()

    gboolean            empathy_chat_should_play_sound      (EmpathyChat *chat);

`chat` : |
Returns : |

### empathy_chat_should_highlight_nick ()

    gboolean            empathy_chat_should_highlight_nick  (EmpathyMessage *message);

`message` : |
Returns : |

## Signal Details

### The "composing" signal

    void                user_function                      (EmpathyChat *empathychat,
                                                            gboolean     arg1,
                                                            gpointer     user_data)        : Run Last

`empathychat` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "name-changed" signal

    void                user_function                      (EmpathyChat *empathychat,
                                                            gpointer     arg1,
                                                            gpointer     user_data)        : Run Last

`empathychat` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "new-message" signal

    void                user_function                      (EmpathyChat    *empathychat,
                                                            EmpathyMessage *arg1,
                                                            gboolean        arg2,
                                                            gpointer        user_data)        : Run Last

`empathychat` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The "status-changed" signal

    void                user_function                      (EmpathyChat *empathychat,
                                                            gpointer     user_data)        : Run Last

`empathychat` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.